## org.eclipse.emf.compare.epatch
Class AbstractEpatchBuilder

    java.lang.Object
      org.eclipse.emf.compare.epatch.AbstractEpatchBuilder

Direct Known Subclasses:
  DiffEpatchService, EpatchRecorder

    public abstract class AbstractEpatchBuilder

extends java.lang.Object

Nested Class Summary
`protected static class` `AbstractEpatchBuilder.NamingTool<T>`

Field Summary
`protected Epatch` `epatch`
`protected static EpatchFactory` `fc`
`protected java.util.Map<org.eclipse.emf.common.util.URI,ModelImport>` `importMap`
`protected static java.lang.String` `NULL`
`protected java.util.Map<org.eclipse.emf.ecore.EObject,NamedObject>` `objMap`

Constructor Summary
`AbstractEpatchBuilder()`

Method Summary
`protected Epatch` `createEpatch(java.lang.String name)`
`protected ObjectNew` `createObjectNew(org.eclipse.emf.ecore.EObject obj)`
`protected void` `generateNames()`
`protected AssignmentValue` `getAssignmentValue(org.eclipse.emf.ecore.EStructuralFeature feat, java.lang.Object value)`
`protected AssignmentValue` `getAssignmentValueDataType(org.eclipse.emf.ecore.EAttribute attr, java.lang.Object value)`
`protected abstract AssignmentValue` `getAssignmentValueEObject(org.eclipse.emf.ecore.EReference ref, org.eclipse.emf.ecore.EObject eobj)`
`protected AssignmentValue` `getAssignmentValueNull()`
`protected java.lang.String` `getFragment(org.eclipse.emf.ecore.EObject obj)`
`protected java.lang.String` `getImportName(java.lang.String base)`
`protected ModelImport` `getImportRef(org.eclipse.emf.ecore.EObject obj)`
`protected ListAssignment` `getListAssignment(NamedObject obj, org.eclipse.emf.ecore.EStructuralFeature feat)`
`protected AssignmentValue` `getListAssignmentValue(org.eclipse.emf.ecore.EStructuralFeature feat, java.lang.Object value, int index)`
`protected java.lang.String` `getNameForObj(org.eclipse.emf.ecore.EObject obj)`
`protected SingleAssignment` `getSingleAssignment(NamedObject obj, org.eclipse.emf.ecore.EStructuralFeature feat)`
`protected boolean` `ignoreFeature(org.eclipse.emf.ecore.EStructuralFeature feat)`
`protected void` `sortAssignmentValue(AssignmentValue av)`
`protected void` `sortLists()`
`protected void` `sortNamedObject(NamedObject obj)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### fc

    protected static EpatchFactory fc

### NULL

    protected static java.lang.String NULL

### epatch

    protected Epatch epatch

### importMap

    protected java.util.Map<org.eclipse.emf.common.util.URI,ModelImport> importMap

### objMap

    protected java.util.Map<org.eclipse.emf.ecore.EObject,NamedObject> objMap

Constructor Detail

### AbstractEpatchBuilder

    public AbstractEpatchBuilder()

Method Detail

### createEpatch

    protected Epatch createEpatch(java.lang.String name)

### createObjectNew

    protected ObjectNew createObjectNew(org.eclipse.emf.ecore.EObject obj)

### generateNames

    protected void generateNames()

### getAssignmentValue

    protected AssignmentValue getAssignmentValue(org.eclipse.emf.ecore.EStructuralFeature feat,
                                                 java.lang.Object value)

### getAssignmentValueDataType

    protected AssignmentValue getAssignmentValueDataType(org.eclipse.emf.ecore.EAttribute attr,
                                                         java.lang.Object value)

### getAssignmentValueEObject

    protected abstract AssignmentValue getAssignmentValueEObject(org.eclipse.emf.ecore.EReference ref,
                                                                 org.eclipse.emf.ecore.EObject eobj)

### getAssignmentValueNull

    protected AssignmentValue getAssignmentValueNull()

### getFragment

    protected java.lang.String getFragment(org.eclipse.emf.ecore.EObject obj)

### getImportName

    protected java.lang.String getImportName(java.lang.String base)

### getListAssignment

    protected ListAssignment getListAssignment(NamedObject obj,
                                               org.eclipse.emf.ecore.EStructuralFeature feat)

### getListAssignmentValue

    protected AssignmentValue getListAssignmentValue(org.eclipse.emf.ecore.EStructuralFeature feat,
                                                     java.lang.Object value,
                                                     int index)

### getNameForObj

    protected java.lang.String getNameForObj(org.eclipse.emf.ecore.EObject obj)

### getImportRef

    protected ModelImport getImportRef(org.eclipse.emf.ecore.EObject obj)

### getSingleAssignment

    protected SingleAssignment getSingleAssignment(NamedObject obj,
                                                   org.eclipse.emf.ecore.EStructuralFeature feat)

### ignoreFeature

    protected boolean ignoreFeature(org.eclipse.emf.ecore.EStructuralFeature feat)

### sortAssignmentValue

    protected void sortAssignmentValue(AssignmentValue av)

### sortLists

    protected void sortLists()

### sortNamedObject

    protected void sortNamedObject(NamedObject obj)

Copyright 2006 IBM Corporation and others. All Rights Reserved.